from dataclasses import dataclass, field
from typing import Optional
from trl import ScriptArguments, ModelConfig
from transformers import TrainingArguments


@dataclass
class ContinualScriptArguments(ScriptArguments):
    """Script arguments for continual learning."""

    dataset_name: list[str] = field(
        default_factory=lambda: ["cifar10", "cifar100", "imagenet2012"]
    )
    dataset_generation_split: str = "generation"


@dataclass
class ContinualModelConfig(ModelConfig):
    """Model configuration for continual learning."""

    peft_type: Optional[str] = None